Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class EncryptedKey

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.EncryptedKey

All Implemented Interfaces:
  ASN1Value

public class EncryptedKey
extends java.lang.Object
implements ASN1Value

Nested Class Summary
`static class` | `EncryptedKey.Template` A Template for decoding BER-encoded EncryptedKeys.
`static class` | `EncryptedKey.Type` The type of EncryptedKey.

Field Summary
`static EncryptedKey.Type` | `ENCRYPTED_VALUE`
`static EncryptedKey.Type` | `ENVELOPED_DATA`

Constructor Summary
`EncryptedKey(ANY envelopedData)`
`EncryptedKey(EncryptedValue encryptedValue)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`EncryptedValue` | `getEncryptedValue()` Should only be called if `getType` returns `ENCRYPTED_VALUE`.
`ANY` | `getEnvelopedData()` Should only be called if `getType` returns `ENVELOPED_DATA`.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static EncryptedKey.Template` | `getTemplate()`
`EncryptedKey.Type` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCRYPTED_VALUE

    public static final EncryptedKey.Type ENCRYPTED_VALUE

### ENVELOPED_DATA

    public static final EncryptedKey.Type ENVELOPED_DATA

Constructor Detail

### EncryptedKey

    public EncryptedKey(EncryptedValue encryptedValue)

### EncryptedKey

    public EncryptedKey(ANY envelopedData)

Method Detail

### getType

    public EncryptedKey.Type getType()

### getEncryptedValue

    public EncryptedValue getEncryptedValue()

  Should only be called if `getType` returns `ENCRYPTED_VALUE`.

### getEnvelopedData

    public ANY getEnvelopedData()

  Should only be called if `getType` returns `ENVELOPED_DATA`. ANY is returned to prevent a circular dependency between the org.mozilla.jss.pkcs7 package and the org.mozilla.jss.pkix hierarchy.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static EncryptedKey.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD